package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 接口日志表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")

@TableName("t_dx_tax_current")
@Data
public class TDxTaxCurrent implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;

    private String taxno;

    private String taxname;

    private String currentTaxPeriod;

    private String selectStartDate;

    private String selectEndDate;

    private String operationEndDate;

    private String oldTaxNo;

    private String declarePeriod;

    private String creditRating;

    private String companyType;

    private String oilType;

    private String taxpayerType;

    private String syncTime;

    private String indexInfo;

    private String periodIndexInfo;

    private String monthIndexInfo;

    private Date updateTime;

    private Date createTime;

    private String latchStatus;

}
